### Method

# Gsk Renderer get_surface

#### Declaration [src]

    GdkSurface*
    gsk_renderer_get_surface (
      GskRenderer* renderer
    )

#### Description [src]

Retrieves the surface that the renderer is associated with.

If the renderer has not been realized yet, `NULL` will be returned.

Gets property | `Gsk.Renderer:surface`

#### Return value

Type: `GdkSurface`

The surface.

The returned data is owned by the instance.
The return value can be `NULL`.